if arg[#arg] == "debug" then 
	require("lldebugger").start()
end

local colliders = {}
local world 
local player

function love.load(args)
    world = love.physics.newWorld(0, 90.81, true)

    for x = 3, 20, 1 do
        local width = 32
        local height = 32
        local spacing = 0
        local offset_x = 0
        local offset_y = 0
        local margin = 0
        local y = 10

        local quadX = ((x - 1) * width + margin + (x - 1) * spacing) + offset_x
        local quadY = ((y - 1) * height + margin + (y - 1) * spacing) + offset_y

        print('rect:', quadX, quadY, width, height)

        local o = {}
        o.body = love.physics.newBody(world, quadX, quadY, "static")
        o.shape = love.physics.newRectangleShape(width, height)
        love.physics.newFixture(o.body, o.shape, 1)

        table.insert(colliders, o)
    end

    player = {}
    player.body = love.physics.newBody(world, 100, 50, "dynamic")
    player.shape = love.physics.newRectangleShape(20, 32)
    love.physics.newFixture(player.body, player.shape, 1)
    player.body:setFixedRotation(true)
end

function love.update(dt)
    world:update(dt)

    local v_x, v_y = player.body:getLinearVelocity()
	player.body:setLinearVelocity(0, v_y)

    if (love.keyboard.isDown('left')) then
        player.body:setLinearVelocity(-100, v_y)
    end

    if (love.keyboard.isDown('right')) then
        player.body:setLinearVelocity(100, v_y)
    end

end

function love.draw()
    local color = {love.graphics.getColor()}
   for _, c in pairs(colliders) do
      love.graphics.setColor(1, 1, 1, 1)

      local body = c.body
      local shape = c.shape
      local pts = {body:getWorldPoints(shape:getPoints())}
      love.graphics.line(pts)
   end

   love.graphics.setColor(1, 0, 1, 1)
   local body = player.body
    local shape = player.shape
    local pts = {body:getWorldPoints(shape:getPoints())}
    love.graphics.line(pts)

   love.graphics.setColor(color)
end

function love.resize(w, h)
end

function love.keypressed(k)
end

function love.textinput(t)
end


